package com.utopiaindustries.model.ctp;

public class POsDetails {
    private String poNumber;
    private String articleTitle;
    private long poQuantity;
    private long totalCutting;
    private long remainingCutting;
    private long totalStitching;
    private long remainingStitching;
    private long totalEndLineQC;
    private long remainingEndLineQC;
    private long totalFinishing;
    private long remainingFinishing;
    private long totalAGradeItem;
    private long totalBGradeItem;
    private long totalCGradeItem;

    public long getPoQuantity() {
        return poQuantity;
    }

    public void setPoQuantity(long poQuantity) {
        this.poQuantity = poQuantity;
    }

    public String getPoNumber() {
        return poNumber;
    }

    public void setPoNumber(String poNumber) {
        this.poNumber = poNumber;
    }

    public String getArticleTitle() {
        return articleTitle;
    }

    public void setArticleTitle(String articleTitle) {
        this.articleTitle = articleTitle;
    }

    public long getTotalCutting() {
        return totalCutting;
    }

    public void setTotalCutting(long totalCutting) {
        this.totalCutting = totalCutting;
    }

    public long getRemainingCutting() {
        return remainingCutting;
    }

    public void setRemainingCutting(long remainingCutting) {
        this.remainingCutting = remainingCutting;
    }

    public long getTotalStitching() {
        return totalStitching;
    }

    public void setTotalStitching(long totalStitching) {
        this.totalStitching = totalStitching;
    }

    public long getRemainingStitching() {
        return remainingStitching;
    }

    public void setRemainingStitching(long remainingStitching) {
        this.remainingStitching = remainingStitching;
    }

    public long getTotalEndLineQC() {
        return totalEndLineQC;
    }

    public void setTotalEndLineQC(long totalEndLineQC) {
        this.totalEndLineQC = totalEndLineQC;
    }

    public long getRemainingEndLineQC() {
        return remainingEndLineQC;
    }

    public void setRemainingEndLineQC(long remainingEndLineQC) {
        this.remainingEndLineQC = remainingEndLineQC;
    }

    public long getTotalFinishing() {
        return totalFinishing;
    }

    public void setTotalFinishing(long totalFinishing) {
        this.totalFinishing = totalFinishing;
    }

    public long getRemainingFinishing() {
        return remainingFinishing;
    }

    public void setRemainingFinishing(long remainingFinishing) {
        this.remainingFinishing = remainingFinishing;
    }

    public long getTotalAGradeItem() {
        return totalAGradeItem;
    }

    public void setTotalAGradeItem(long totalAGradeItem) {
        this.totalAGradeItem = totalAGradeItem;
    }

    public long getTotalBGradeItem() {
        return totalBGradeItem;
    }

    public void setTotalBGradeItem(long totalBGradeItem) {
        this.totalBGradeItem = totalBGradeItem;
    }

    public long getTotalCGradeItem() {
        return totalCGradeItem;
    }

    public void setTotalCGradeItem(long totalCGradeItem) {
        this.totalCGradeItem = totalCGradeItem;
    }

    @Override
    public String toString() {
        return "POsDetails{" +
                "totalCutting=" + totalCutting +
                ", remainingCutting=" + remainingCutting +
                ", totalStitching=" + totalStitching +
                ", remainingStitching=" + remainingStitching +
                ", totalEndLineQC=" + totalEndLineQC +
                ", remainingEndLineQC=" + remainingEndLineQC +
                ", totalFinishing=" + totalFinishing +
                ", remainingFinishing=" + remainingFinishing +
                ", totalAGradeItem=" + totalAGradeItem +
                ", totalBGradeItem=" + totalBGradeItem +
                ", totalCGradeItem=" + totalCGradeItem +
                '}';
    }
}
